AbfsStatistic (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs, enum: AbfsStatistic

Package org.apache.hadoop.fs.azurebfs

# Enum Class AbfsStatistic

java.lang.Object
java.lang.Enum<AbfsStatistic>
org.apache.hadoop.fs.azurebfs.AbfsStatistic

All Implemented Interfaces:
  `Serializable`, `Comparable<AbfsStatistic>`, `Constable`

public enum AbfsStatistic extends Enum<AbfsStatistic>
Statistic which are collected in Abfs. Available as metrics in `AbfsCountersImpl`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATOMIC_RENAME_PATH_ATTEMPTS`
  `BYTES_RECEIVED`
  `BYTES_SENT`
  `CALL_APPEND`
  `CALL_CREATE`
  `CALL_CREATE_NON_RECURSIVE`
  `CALL_DELETE`
  `CALL_EXIST`
  `CALL_GET_DELEGATION_TOKEN`
  `CALL_GET_FILE_STATUS`
  `CALL_LIST_STATUS`
  `CALL_MKDIRS`
  `CALL_OPEN`
  `CALL_RENAME`
  `CONNECTIONS_MADE`
  `DIRECTORIES_CREATED`
  `DIRECTORIES_DELETED`
  `ERROR_IGNORED`
  `FILES_CREATED`
  `FILES_DELETED`
  `GET_RESPONSES`
  `HTTP_DELETE_REQUEST`
  `HTTP_GET_REQUEST`
  `HTTP_HEAD_REQUEST`
  `HTTP_PATCH_REQUEST`
  `HTTP_POST_REQUEST`
  `HTTP_PUT_REQUEST`
  `METADATA_INCOMPLETE_RENAME_FAILURES`
  `READ_THROTTLES`
  `RENAME_PATH_ATTEMPTS`
  `RENAME_RECOVERY`
  `SEND_REQUESTS`
  `SERVER_UNAVAILABLE`
  `WRITE_THROTTLES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHttpCall()`
  Getter for http call for HTTP duration trackers.
  `String`
  `getStatDescription()`
  Getter for statistic description.
  `String`
  `getStatName()`
  Getter for statistic name.
  `static String`
  `getStatNameFromHttpCall(String httpCall)`
  Get the statistic name using the http call name.
  `static AbfsStatistic`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbfsStatistic[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CALL_CREATE

    public static final AbfsStatistic CALL_CREATE

  - ### CALL_OPEN

    public static final AbfsStatistic CALL_OPEN

  - ### CALL_GET_FILE_STATUS

    public static final AbfsStatistic CALL_GET_FILE_STATUS

  - ### CALL_APPEND

    public static final AbfsStatistic CALL_APPEND

  - ### CALL_CREATE_NON_RECURSIVE

    public static final AbfsStatistic CALL_CREATE_NON_RECURSIVE

  - ### CALL_DELETE

    public static final AbfsStatistic CALL_DELETE

  - ### CALL_EXIST

    public static final AbfsStatistic CALL_EXIST

  - ### CALL_GET_DELEGATION_TOKEN

    public static final AbfsStatistic CALL_GET_DELEGATION_TOKEN

  - ### CALL_LIST_STATUS

    public static final AbfsStatistic CALL_LIST_STATUS

  - ### CALL_MKDIRS

    public static final AbfsStatistic CALL_MKDIRS

  - ### CALL_RENAME

    public static final AbfsStatistic CALL_RENAME

  - ### DIRECTORIES_CREATED

    public static final AbfsStatistic DIRECTORIES_CREATED

  - ### DIRECTORIES_DELETED

    public static final AbfsStatistic DIRECTORIES_DELETED

  - ### FILES_CREATED

    public static final AbfsStatistic FILES_CREATED

  - ### FILES_DELETED

    public static final AbfsStatistic FILES_DELETED

  - ### ERROR_IGNORED

    public static final AbfsStatistic ERROR_IGNORED

  - ### CONNECTIONS_MADE

    public static final AbfsStatistic CONNECTIONS_MADE

  - ### SEND_REQUESTS

    public static final AbfsStatistic SEND_REQUESTS

  - ### GET_RESPONSES

    public static final AbfsStatistic GET_RESPONSES

  - ### BYTES_SENT

    public static final AbfsStatistic BYTES_SENT

  - ### BYTES_RECEIVED

    public static final AbfsStatistic BYTES_RECEIVED

  - ### READ_THROTTLES

    public static final AbfsStatistic READ_THROTTLES

  - ### WRITE_THROTTLES

    public static final AbfsStatistic WRITE_THROTTLES

  - ### SERVER_UNAVAILABLE

    public static final AbfsStatistic SERVER_UNAVAILABLE

  - ### HTTP_HEAD_REQUEST

    public static final AbfsStatistic HTTP_HEAD_REQUEST

  - ### HTTP_GET_REQUEST

    public static final AbfsStatistic HTTP_GET_REQUEST

  - ### HTTP_DELETE_REQUEST

    public static final AbfsStatistic HTTP_DELETE_REQUEST

  - ### HTTP_PUT_REQUEST

    public static final AbfsStatistic HTTP_PUT_REQUEST

  - ### HTTP_PATCH_REQUEST

    public static final AbfsStatistic HTTP_PATCH_REQUEST

  - ### HTTP_POST_REQUEST

    public static final AbfsStatistic HTTP_POST_REQUEST

  - ### RENAME_RECOVERY

    public static final AbfsStatistic RENAME_RECOVERY

  - ### METADATA_INCOMPLETE_RENAME_FAILURES

    public static final AbfsStatistic METADATA_INCOMPLETE_RENAME_FAILURES

  - ### RENAME_PATH_ATTEMPTS

    public static final AbfsStatistic RENAME_PATH_ATTEMPTS

  - ### ATOMIC_RENAME_PATH_ATTEMPTS

    public static final AbfsStatistic ATOMIC_RENAME_PATH_ATTEMPTS

- ## Method Details

  - ### values

    public static AbfsStatistic[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbfsStatistic valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getStatName

    public String getStatName()
    Getter for statistic name.
    Returns:
      Name of statistic.

  - ### getStatDescription

    public String getStatDescription()
    Getter for statistic description.
    Returns:
      Description of statistic.

  - ### getHttpCall

    public String getHttpCall()
    Getter for http call for HTTP duration trackers.
    Returns:
      http call of a statistic.

  - ### getStatNameFromHttpCall

    public static String getStatNameFromHttpCall(String httpCall)
    Get the statistic name using the http call name.
    Parameters:
      `httpCall` - The HTTP call used to get the statistic name.
    Returns:
      Statistic name.